#!/bin/lua
dofile("/etc/init.d/functions5.lua")

w = fltk:Fl_Double_Window(205, 175, "DSL Opciones Salida")

shutdownGroup = fltk:Fl_Group(40, 15, 135, 75)

shutdownBtn = fltk:Fl_Round_Button(55, 15, 95, 25, "Apagar")
shutdownBtn:type(fltk.FL_RADIO_BUTTON)
shutdownBtn:value(1)
shutdownBtn:callback(
function(shutdownBtn)
  backupBtn:show()
end)

rebootBtn = fltk:Fl_Round_Button(55, 35, 100, 25, "Reiniciar")
rebootBtn:type(fltk.FL_RADIO_BUTTON)
rebootBtn:value(0)
rebootBtn:callback(
function(rebootBtn)
  backupBtn:show()
end)

promptBtn = fltk:Fl_Round_Button(55, 55, 115, 25, "Salida al Prompt");
promptBtn:type(fltk.FL_RADIO_BUTTON)
promptBtn:value(0)
promptBtn:callback(
function(promptBtn)
  backupBtn:hide()
end)

fltk:Fl_End()  -- End of shutdown group

backupBtn = fltk:Fl_Check_Button(70, 85, 80, 30, "Backup")
backupBtn:tooltip("Desmarcar para evitar backup")
backupBtn:value(1)

okBtn = fltk:Fl_Return_Button(25, 130, 60, 25, "OK")
okBtn:callback(
function(okBtn)
  if promptBtn:value() == 1 then
     home = os.getenv("HOME")
     wm = getOption(".desktop","wm")
     os.execute("pidof "..wm.." && pkill "..wm)
     os.exit(0)
  else
    if backupBtn:value() == 0 then
       os.execute("> /opt/.backup_device")
       backupReq = ""
    else
       backupReq = "yes"
    end
    if rebootBtn:value() == 1 then
       os.execute("/usr/local/bin/exitcheck.sh reboot " .. backupReq)
    else
       os.execute("/usr/local/bin/exitcheck.sh shutdown " .. backupReq)
    end
  end
  os.exit(0)
end)

cancelBtn = fltk:Fl_Button(115, 130, 60, 25, "Cancelar")
cancelBtn:callback(
function(cancelBtn)
  os.exit(1)
end)

w:show()
Fl:run()
