#!/bin/lua

-- (C) Robert Shingledecker 2005,2006
--
-- Main GUI loop for myDSL Extensions

dofile("/etc/init.d/functions5.lua")

function btnPress(self)
  target = string.lower(self:label())
  if target ~= "cargar local" then
    os.execute("mydslBrowser.lua " .. target)
  else
    local file = io.open("/opt/.mydsl_dir")
    if file then
      mydsl_dir = file:read("*l")
      file:close()
    else
      mydsl_dir = "/"
    end
    filename = fltk.fl_file_chooser("Cargar extensiones MyDSL locales","Types (*.{dsl,uci,unc,tar.gz})",mydsl_dir)
    if filename ~= nil then
      print("Results: "..filename)
      extn = tailString(filename,"/")
      mydsl_dir = headString(filename,"/")
      io.output(".mydsl")
      io.write(mydsl_dir)
      io.output()
      os.execute("mydsl-load ".. filename)
    end
  end
end

w = fltk:Fl_Window(410,140, "MyDSL Herram. Extensiones")
btn={}
btnLabel={"Aplicaciones","Multimedia","Temas","Juegos","Net","UCI","UNC","Gtk2","Sistema","WM_Apl.","En Test","Cargar Local"}
btnWidth=130; btnHeight=30
tip={}
tip[1] ="Aplicaciones generales"
tip[2] ="Sonido y Video"
tip[3] ="Temas Gestor de Ventanas"
tip[4] ="Juegos y Diversiones"
tip[5] ="Aplicaciones de red"
tip[6] ="Aplicaciones para montar"
tip[7] ="Aplicaciones para montar tipo Unionfs"
tip[8] ="Requiere Gtk2xxxx.dsl cargado y seleccionado del menu"
tip[9] ="Utilidades & Drivers del Sistema"
tip[10]="Gestores de Ventanas y Utilidades"
tip[11]="Precaucion, extensiones NUEVAS y NO TESTEADAS"
tip[12]="Cargar extensiones Mydsl almacenadas localmente"
rows=4; cols=3; spacer=10

for h=1, rows do
  for w = 1, cols do
    i = cols*(h-1)+w
       btn[i] = fltk:Fl_Button(btnWidth*(w-1)+spacer,btnHeight*(h-1)+spacer,btnWidth,btnHeight,btnLabel[i])
       btn[i]:tooltip(tip[i])
       btn[i]:callback(btnPress)
    end
end

w:show()
Fl:run()
